import { WorkflowsVersions } from '../../schemas.js';
import 'zod';

interface MultiWorkflowFileOptions {
    jobs: MultiWorkflowJobOptions[];
    name: string;
    workflowsVersions: undefined | WorkflowsVersions;
}
interface MultiWorkflowJobOptions {
    checkoutWith?: Record<string, string>;
    if?: string;
    name: string;
    steps: MultiWorkflowJobStep[];
}
type MultiWorkflowJobStep = {
    if?: string;
} & ({
    run: string;
} | {
    uses: string;
});
declare function createMultiWorkflowFile({ jobs, name, workflowsVersions, }: MultiWorkflowFileOptions): string;

export { type MultiWorkflowFileOptions, type MultiWorkflowJobOptions, type MultiWorkflowJobStep, createMultiWorkflowFile };
